import ts from "typescript";
const flags = {
    const: ts.NodeFlags.Const,
};
export const create = ({ factory }) => (params) => {
    const node = factory.createVariableDeclarationList(params.declarations, flags[params.flag]);
    return node;
};
export const make = (context) => {
    return {
        create: create(context),
    };
};
//# sourceMappingURL=VariableDeclarationList.js.map