import ts from "typescript";
export interface Params$Create {
    name: string;
    optional?: true;
    modifiers?: "private" | "public";
    type?: ts.TypeNode;
}
export interface Factory {
    create: (params: Params$Create) => ts.ParameterDeclaration;
}
export declare const create: ({ factory }: Pick<ts.TransformationContext, "factory">) => Factory["create"];
export declare const make: (context: Pick<ts.TransformationContext, "factory">) => Factory;
