import ts from "typescript";
export interface Params {
    name: string;
    initializer: ts.Expression;
}
export interface Factory {
    create: (params: Params) => ts.PropertyAssignment;
}
export declare const create: ({ factory }: Pick<ts.TransformationContext, "factory">) => Factory["create"];
export declare const make: (context: Pick<ts.TransformationContext, "factory">) => Factory;
